Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.owasp.dependencycheck.analyzer
Enum AnalysisPhase

    java.lang.Object
      java.lang.Enum<AnalysisPhase>
          org.owasp.dependencycheck.analyzer.AnalysisPhase

All Implemented Interfaces:
  Serializable, Comparable<AnalysisPhase>

    public enum AnalysisPhase

extends Enum<AnalysisPhase>

An enumeration defining the phases of analysis.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Enum Constant Summary
`FINAL` The final analysis phase.
`FINDING_ANALYSIS` Finding analysis phase.
`IDENTIFIER_ANALYSIS` Identifier analysis phase.
`INFORMATION_COLLECTION` Information collection phase.
`INITIAL` Initialization phase.
`POST_FINDING_ANALYSIS` Post analysis phase.
`POST_IDENTIFIER_ANALYSIS` Post identifier analysis phase.
`PRE_FINDING_ANALYSIS` Pre finding analysis phase.
`PRE_IDENTIFIER_ANALYSIS` Pre identifier analysis phase.

Method Summary
`static AnalysisPhase` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AnalysisPhase[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INITIAL

    public static final AnalysisPhase INITIAL

  Initialization phase.

### INFORMATION_COLLECTION

    public static final AnalysisPhase INFORMATION_COLLECTION

  Information collection phase.

### PRE_IDENTIFIER_ANALYSIS

    public static final AnalysisPhase PRE_IDENTIFIER_ANALYSIS

  Pre identifier analysis phase.

### IDENTIFIER_ANALYSIS

    public static final AnalysisPhase IDENTIFIER_ANALYSIS

  Identifier analysis phase.

### POST_IDENTIFIER_ANALYSIS

    public static final AnalysisPhase POST_IDENTIFIER_ANALYSIS

  Post identifier analysis phase.

### PRE_FINDING_ANALYSIS

    public static final AnalysisPhase PRE_FINDING_ANALYSIS

  Pre finding analysis phase.

### FINDING_ANALYSIS

    public static final AnalysisPhase FINDING_ANALYSIS

  Finding analysis phase.

### POST_FINDING_ANALYSIS

    public static final AnalysisPhase POST_FINDING_ANALYSIS

  Post analysis phase.

### FINAL

    public static final AnalysisPhase FINAL

  The final analysis phase.

Method Detail

### values

    public static AnalysisPhase[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AnalysisPhase c : AnalysisPhase.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AnalysisPhase valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.